#### D.14.2.16 poly2zdd

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  poly2zdd(poly ps); polynomial ps

Return:
  polynomial ps in zdd representation

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r=0,x(1..5),Dp;
    poly f=(x(1)+1)*(x(2)+1)*(x(3)+1)*x(4)*x(5);
    poly2zdd(f);
    ==> zdd:
    ==>  x1(x2(x3(x4(x5))+
    ==>           x4(x5))+
    ==>        x3(x4(x5))+
    ==>           x4(x5))+
    ==>     x2(x3(x4(x5))+
    ==>           x4(x5))+
    ==>        x3(x4(x5))+
    ==>           x4(x5)
    ==>
    poly g=x(3);
    poly2zdd(g);
    ==> zdd:
    ==>  x3
    ==>

See also: boolean_poly; from_boolean_set.

User manual for Singular version 4-0-3, 2016, generated by texi2html.